Groovy 1.7.0

## org.codehaus.groovy.ant
Class FileIterator

    java.lang.Object
      org.codehaus.groovy.ant.FileIterator

All Implemented Interfaces:
  Iterator

    class FileIterator
    extends Object

`FileIterator` is an iterator over a number of files from a collection of FileSet instances.

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`FileIterator(Project project, Iterator fileSetIterator)`
`FileIterator(Project project, Iterator fileSetIterator, boolean iterateDirectories)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()` throws UnsupportedOperationException

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FileIterator

    public FileIterator(Project project, Iterator fileSetIterator)

### FileIterator

    public FileIterator(Project project, Iterator fileSetIterator, boolean iterateDirectories)

Method Detail

### hasNext

    public boolean hasNext()

  return:
    true if there is another object that matches the given predicate

### next

    public Object next()

  return:
    the next object which matches the given predicate

### remove

    public void remove()

  throws UnsupportedOperationException

Copyright © 2003-2009 The Codehaus. All rights reserved.